module.exports = {
  root: true,
  env: {
    node: true,
    es6: true,
    jest: true
  },
  extends: [
    'plugin:vue/strongly-recommended',
    'plugin:prettier/recommended',
    '@vue/prettier'
  ],
  rules: {
    'comma-dangle': ['error', 'never'],
    'import/extensions': ['off', 'always', {
      js: 'never',
      vue: 'never',
      jsx: 'never'
    }],
    'no-console': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'space-before-function-paren': ['error', {
      anonymous: 'ignore',
      named: 'ignore',
      asyncArrow: 'always'
    }]
  },
  parserOptions: {
    parser: 'babel-eslint'
  }
};
